Bug 1822787 - anaconda UI overflows edge of 1024x768 when SOFTWARE SELECTION is accessed in Russian
Summary: anaconda UI overflows edge of 1024x768 when SOFTWARE SELECTION is accessed in...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 33
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vladimír Slávik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-09 20:20 UTC by Adam Williamson
Modified: 2020-08-12 14:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2020-04-09 20:20:42 UTC
It seems that 2020406.n.0 and 2020408.n.1 composes, a Russian translation was added for the text "Additional software for Selected Environment" (actually, why is 'Selected' title cased there, anyway?)

Unfortunately this seems to lead to the SOFTWARE SELECTION screen overflowing the bounds of a 1024x768 screen:

https://openqa.fedoraproject.org/tests/571179#step/_software_selection/3

compare to the same screen in the previous compose:

https://openqa.fedoraproject.org/tests/568037#step/_software_selection/3

once this has happened, it is never fixed - the installer seems to be permanently resized to the new size and stuff gets lost off the right-hand side of the screen from then on. This eventually leads to the test failing at the end of install, because some of the 'installation complete!' text that it tries to match on is lost over the edge of the screen:

https://openqa.fedoraproject.org/tests/571179#step/_do_install_and_reboot/63

I guess we need a layout fix here so the text at the top of that right-hand pane wraps or is ellipsized if it's too long to fit...

Comment 1 Adam Williamson 2020-04-09 20:21:15 UTC
er, that first line should read "It seems that between 2020406.n.0 and 2020408.n.1 composes..." - I missed the "between". Sorry.

Comment 2 Adam Williamson 2020-08-10 20:41:07 UTC
Ping? This is still broken. It's been four months.

Comment 3 Ben Cotton 2020-08-11 15:27:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 4 Vladimír Slávik 2020-08-11 15:42:51 UTC
I can fix this in code, to some extent, I guess.

(Makes me wonder why didn't the Russian translators see the problem, or spot this bug, and do something.)

Comment 5 Vladimír Slávik 2020-08-11 15:46:00 UTC
OK, that was just as fast/easy as you complained: https://github.com/rhinstaller/anaconda/pull/2779

Comment 6 Adam Williamson 2020-08-11 18:32:51 UTC
In general, historically, my recollection is that we've treated any case where text can cause the UI to exceed the bounds of 1024x768 as an anaconda bug, rather than just requiring translators to make the text shorter. The text should be wrapped or ellipsized or given scrollbars as necessary to avoid the issue.

Comment 7 Vladimír Slávik 2020-08-12 14:22:17 UTC
PR merged.


Note You need to log in before you can comment on or make changes to this bug.